[Snort-users] --enable-open-appid failing even though luajit is installed

Y M snort at ...15979...
Mon Dec 7 13:56:22 EST 2015


In my case I also had to install lua51 (which may be unnecessary). Also you need to set the "luajit_CFLAGS" and "luajit_LIBS" when compiling Snort.

_____________________________
From: Avery Rozar <avery.rozar at ...17372...<mailto:avery.rozar at ...17372...>>
Sent: Monday, December 7, 2015 9:53 PM
Subject: [Snort-users] --enable-open-appid failing even though luajit is installed
To: <snort-users at lists.sourceforge.net<mailto:snort-users at ...5870....net>>, <snort-devel at lists.sourceforge.net<mailto:snort-devel at ...4137...orge.net>>


I'm trying trying to install Snort 2.8 on FreeBSD with the --enable-open-appid configuration option. It's failing complaining that luajit is not installed. I did install luajit 2.0.4 from source with default options and verified with "which luajit", this is the response "/usr/local/bin/luajit". There does not seem to be an option for "--with-luajit-libraries=DIR" in the ./configure --help.

checking for luajit... no

  ERROR!  LuaJIT library not found.....

Am I missing another dependency?

Thanks,


Avery


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20151207/738f3173/attachment.html>


More information about the Snort-users mailing list